ChangeSet 1.1587.3.32, 2004/05/05 13:33:47-07:00, stefan.eletzhofer@eletztrick.de

[PATCH] USB Gadget: fix pxa define in gadget_chips.h

below is a trivial patch which fixes the PXA gadget define
in drivers/linux/usb/gadget/gadget_chips.h

Everywhere CONFIG_USB_GADGET_PXA2XX is used, except in that file, which
bites obviously ...


Fix define for PXA UDC.


 drivers/usb/gadget/gadget_chips.h |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/gadget/gadget_chips.h b/drivers/usb/gadget/gadget_chips.h
--- a/drivers/usb/gadget/gadget_chips.h	Fri May 14 15:30:10 2004
+++ b/drivers/usb/gadget/gadget_chips.h	Fri May 14 15:30:10 2004
@@ -20,7 +20,7 @@
 #define	gadget_is_dummy(g)	0
 #endif
 
-#ifdef CONFIG_USB_GADGET_PXA
+#ifdef CONFIG_USB_GADGET_PXA2XX
 #define	gadget_is_pxa(g)	!strcmp("pxa2xx_udc", (g)->name)
 #else
 #define	gadget_is_pxa(g)	0
